/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLMenuElement_H__
#define __GdomHTMLMenuElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLMenuElement GdomHTMLMenuElement;
typedef struct _GdomHTMLMenuElementClass GdomHTMLMenuElementClass;


#define GDOM_TYPE_HTML_MENU_ELEMENT            (gdom_html_menu_element_get_type())
#define GDOM_HTML_MENU_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_MENU_ELEMENT, GdomHTMLMenuElement))
#define GDOM_HTML_MENU_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_MENU_ELEMENT, GdomHTMLMenuElement)Class)
#define GDOM_IS_HTML_MENU_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_MENU_ELEMENT))
#define GDOM_IS_HTML_MENU_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_MENU_ELEMENT))
#define GDOM_HTML_MENU_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_MENU_ELEMENT, GdomHTMLMenuElementClass))

typedef struct _GdomHTMLMenuElementPrivate GdomHTMLMenuElementPrivate;

struct _GdomHTMLMenuElement {
    GdomHTMLElement parent_instance;
    GdomHTMLMenuElementPrivate *priv;
};

struct _GdomHTMLMenuElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_menu_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLMenuElement_H__ */
